Find evaluation status of development goals
post
/hcmRestApi/resources/11.13.18.05/devGoalsMassAssignProcess/{devGoalsMassAssignProcessUniqID}/child/devGoals/action/findEvaluationStatusForMultipleGoals
Finds the evaluations status of the specified development goals.
Request
Path Parameters
-
devGoalsMassAssignProcessUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Development Goals Mass Assignment Process resource and used to uniquely identify an instance of Development Goals Mass Assignment Process. The client should not generate the hash key value. Instead, the client should query on the Development Goals Mass Assignment Process collection resource in order to navigate to a specific instance of Development Goals Mass Assignment Process to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
goalIds: array
goalIds
List of unique identifiers of the development goals for which the evaluation status needs to be found.
Nested Schema : goalIds
Type:
arrayList of unique identifiers of the development goals for which the evaluation status needs to be found.
Show Source
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): object
result
Additional Properties Allowed: additionalPropertiesA map with the identifier of the development goal as a key and its evaluation status as the value.
Nested Schema : result
Type:
objectAdditional Properties Allowed
Show Source
-
object additionalProperties
Additional Properties Allowed: additionalProperties
A map with the identifier of the development goal as a key and its evaluation status as the value.
Nested Schema : additionalProperties
Type:
Show Source
array-
Array of:
object items
Additional Properties Allowed: additionalProperties